AudioSample Class Reference

## Public Member Functions

| AudioSample (const player_audio_wav_t *source)
| AudioSample (const uint8_t *source, uint32_t length, uint16_t channels, uint32_t sr, uint16_t bps)
void | SetDataPosition (uint32_t newPosition)
uint32_t | GetDataPosition (void) const
uint32_t | GetDataLength (void) const
int | GetData (int frameCount, uint8_t *buffer)
void | ClearSample (void)
bool | FillSilence (uint32_t time)
bool | ToPlayer (player_audio_wav_t *dest)
bool | FromPlayer (const player_audio_wav_t *source)
bool | LoadFile (const char *fileName)
void | CloseFile (void)
const char * | GetFilePath (void) const
SampleType | GetType (void) const
void | SetType (SampleType val)
uint16_t | GetNumChannels (void) const
void | SetNumChannels (uint16_t val)
uint32_t | GetSampleRate (void) const
void | SetSampleRate (uint32_t val)
uint32_t | GetByteRate (void) const
uint16_t | GetBlockAlign (void) const
void | SetBlockAlign (uint16_t val)
uint16_t | GetBitsPerSample (void) const
void | SetBitsPerSample (uint16_t val)
uint32_t | GetNumFrames (void) const
bool | SameFormat (const AudioSample *rhs)
void | CopyFormat (const AudioSample *rhs)
void | PrintWaveInfo (void)

## Private Attributes

SampleType | type
uint16_t | numChannels
uint32_t | sampleRate
uint32_t | byteRate
uint16_t | blockAlign
uint16_t | bitsPerSample
uint32_t | numFrames
uint32_t | position
FILE * | waveFile
char * | filePath
uint32_t | headerSize
uint32_t | dataLength
uint8_t * | data

The documentation for this class was generated from the following files:

- audio_sample.h
- audio_sample.cc

Last updated 12 September 2005 21:38:45